// Center a dialog. Call from OnInitDialog().
void CenterDialog(CWnd *pCWnd)
{
  CRect rectDlg;
  // Obtain the size of the dialog.
  pCWnd->GetWindowRect(&rectDlg);
  // Obtain the size of the physical screen.
  int ScreenWidth = ::GetSystemMetrics(SM_CXSCREEN);
  int ScreenHeight = ::GetSystemMetrics(SM_CYSCREEN);

  // Compute the location of the center of the physical screen,
  // then position the window (the dialog) there.
  pCWnd->MoveWindow(
    ScreenWidth / 2 - rectDlg.Width() / 2,
    ScreenHeight / 2 - rectDlg.Height() / 2,
    rectDlg.right - rectDlg.left,
    rectDlg.bottom - rectDlg.top);
}

// Example usage:
BOOL CSegmentDialog::OnInitDialog()
{
    CDialog::OnInitDialog();
    // Do other initializations here; for example, changing the
    // window title.
    CenterDialog(this);
    return TRUE;
}

